[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_crwapi' (#crwlib)

# ISysApi.LSQFit

## Declaration

Source position: _crw_crwapi.pas line 2911

`function ISysApi.LSQFit(`
`m: Integer;`
`var t: array of Double;`
`var y: array of Double;`
`var w: array of Double;`
`Fit: TFitProblem;`
`Report: TFitReport;`
`n: Integer;`
`var x: array of Double;`
`var f: Double;`
`var g: array of Double;`
`Custom: Pointer;`
`var Count: Integer;`
`MaxCount: Integer;`
`Method: Integer;`
`tolx: Double;`
`tolf: Double;`
`tolg: Double;`
`Inf: Double;`
`Size: Double;`
`Step: Double;`
`EvalTol: Double;`
`var a: array of Double;`
`var Fix: array of Boolean;`
`fscale: Double;`
`var xLo: array of Double;`
`var xHi: array of Double`
`):Integer;`